MakeHuman 1.2 in a .zip PLEASE

Discussions that concern the community rather than the makehuman software

MakeHuman 1.2 in a .zip PLEASE

Postby make3 » Sat Dec 15, 2018 7:18 pm

Hi,


Im not on a main Linux distribution and I dont have all the dependencies.

Please, can you create a "portable" Linux version with all the dependencies in a the same folder ? (Firefox offers the same so no need to install)


Im working on a MAKE MUSCLE plugin. But i need Make Human to work (1.2 or below if Python 3 is a problem).


Is this possible ?
make3
 
Posts: 45
Joined: Thu Jan 11, 2018 11:32 am

Re: MakeHuman 1.2 in a .zip PLEASE

Postby joepal » Mon Dec 17, 2018 12:45 pm

I guess it's possible. However, as it should be easy to get makehuman up and running from source on any linux distribution with access to pip, I'm wondering if it's really worth the effort to ship a non-system python. Also, if you want to do development, you're better off running makehuman from source.

On a non-debian linux system:

Install python (at least 3.6)
Install qt (at least 5.0)
Install git

This should give you access to pip. It might be called "pip3". Pip offers the rest of the necessary dependencies. Simply run:

pip install pyopengl
pip install pyqt5
pip install numpy

Now all you need to do to get started with makehuman is to clone the github repo and then run the download_assets.py script.
Joel Palmius (LinkedIn)
MakeHuman Infrastructure Manager
http://www.palmius.com/joel
joepal
 
Posts: 3507
Joined: Wed Jun 04, 2008 11:20 am

Re: MakeHuman 1.2 in a .zip PLEASE

Postby make3 » Tue Dec 18, 2018 12:20 am

yes i saw that solution. Unfortunately i dont have python 3. Anyway, i had some old .mhx2 files so i can work with them in blender :mrgreen:

thx
make3
 
Posts: 45
Joined: Thu Jan 11, 2018 11:32 am

Re: MakeHuman 1.2 in a .zip PLEASE

Postby RobBaer » Tue Dec 18, 2018 9:12 am

make3 wrote:yes i saw that solution. Unfortunately i dont have python 3. Anyway, i had some old .mhx2 files so i can work with them in blender :mrgreen:

thx

MakeHuman 1.2 ( currently alpha) requires python3. It will not run with python 2.7. For old python, use MH 1.1.

Its unusual for linux to not have python3. Type python3 -V
User avatar
RobBaer
 
Posts: 889
Joined: Sat Jul 13, 2013 3:30 pm
Location: Kirksville, MO USA

Re: MakeHuman 1.2 in a .zip PLEASE

Postby make3 » Tue Dec 18, 2018 10:34 am

I really dont have Python3 on my linux repos .
Well, its not so important. I can use another Linux Live distro.

Thx

I rather ask for help with the .mhskel blender plugin exporter
make3
 
Posts: 45
Joined: Thu Jan 11, 2018 11:32 am

Re: MakeHuman 1.2 in a .zip PLEASE

Postby loki1950 » Tue Dec 18, 2018 5:01 pm

How old is your distro most current ones have Python 3.5 as there default version and just an aside most of Linux system utilities are written in Python for that matter the Gnome 3 desktop was built with Python 3 as well as the Cinnamon desktop so I find it very strange that Python 3 is not the default.

Enjoy the Choice :)
my box::HP Envy i5-6400 @2Q70GHzx4 8 Gb ram/1 Tb(Win10 64)/3 Tb Mint 18/GTX745 4Gb acer S243HL K222HQL
Q8200/Asus P5QDLX/8 Gb ram/WD 2Tb 2-500 G HD/GF GT640 2Gb Mint 17.3 64 bit Win 10 32 bit acer and Lenovo Ideapad 320-15ABR Win 10
User avatar
loki1950
 
Posts: 908
Joined: Thu Dec 18, 2014 6:27 pm
Location: Ottawa,Ontario


Return to Community discussions

Who is online

Users browsing this forum: No registered users and 1 guest